Skip to content
EntitlerDocs

POST/v1/customers/{external_id}/device-sessions/{session_id}:heartbeat

Heartbeat device session

Needs usage:write.

curl -X POST 'https://api.entitler.co/v1/customers/ada/device-sessions/<session_id>:heartbeat' \
  -H "Authorization: Bearer $ENTITLER_KEY" \
  -H "Content-Type: application/json" \
  -d '{"target":{"environmentId":"environmentId","projectId":"projectId","teamId":"teamId"}}'

Credentials

Send any one of these:

  • Bearer token

Path parameters

NameTypeDescription
external_idrequiredstringThe customer's external ID, or me for the customer a customer token or identity token names.
session_idrequiredstring

Request body

object

  • targetProductTarget
    • environmentIdstring
    • projectIdstring
    • teamIdstring

Responses

200The HeartbeatDeviceSessionResponse message.

HeartbeatDeviceSessionResponse

  • endReasonSessionEndReason

    One of SESSION_END_REASON_UNSPECIFIED, SESSION_END_REASON_ENDED, SESSION_END_REASON_EXPIRED, SESSION_END_REASON_RESTARTED, SESSION_END_REASON_REPLACED, SESSION_END_REASON_SIGNED_OUT, SESSION_END_REASON_NOT_ENTITLED.

  • endedAtinteger

    at least 0; at most 18446744073709552000

  • livebooleanrequired
  • sessionDeviceSession
    • deviceIdstringrequired
    • expiresAtintegerrequired

      at least 0; at most 18446744073709552000

    • idstringrequired
    • leaseSecondsinteger (int64)required

      at least 0; at most 4294967295

    • startedAtintegerrequired

      at least 0; at most 18446744073709552000

ErrorA refusal, with the HTTP status of its gRPC code.

Error

  • errorobjectrequired
    • codestringrequired
    • parametersobjectrequired

      Each value: string

    • reasonstringor nullrequired